> ## Documentation Index
> Fetch the complete documentation index at: https://developers.malibou.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get work locations

> Required scope: `org:work_location:read`



## OpenAPI

````yaml /api-reference/openapi/public-api-1.11.0.json get /organizations/{organizationId}/work-locations
openapi: 3.0.0
info:
  title: malibou public API
  version: 1.11.0
  description: >-
    The malibou HRIS public API provides programmatic access to collaborator,
    company, and HR data.
servers:
  - url: https://app.malibou.com/api/public/v1
security:
  - bearerAuth: []
tags:
  - name: Collaborators
    description: Collaborators endpoints
    x-group: Collaborators
  - name: Absences
    description: Absences endpoints
    x-group: Absences
  - name: Work Locations
    description: Work Locations endpoints
    x-group: Work Locations
paths:
  /organizations/{organizationId}/work-locations:
    get:
      tags:
        - Work Locations
      summary: Get work locations
      description: 'Required scope: `org:work_location:read`'
      operationId: getWorkLocations
      parameters:
        - schema:
            type: string
          required: true
          name: organizationId
          in: path
        - schema:
            type: string
          required: false
          name: establishmentId
          in: query
        - schema:
            type: number
            minimum: 0
            exclusiveMinimum: true
          required: false
          name: page
          in: query
        - schema:
            type: number
            minimum: 0
          required: false
          name: limit
          in: query
        - schema:
            type: string
            pattern: ^\d{4}-(?:0[1-9]|1[0-2])-(?:0[1-9]|[12]\d|3[01])$
            description: Date in `YYYY-MM-DD` format (ISO 8601).
          required: true
          description: Date in `YYYY-MM-DD` format (ISO 8601).
          name: startDate
          in: query
        - schema:
            type: string
            pattern: ^\d{4}-(?:0[1-9]|1[0-2])-(?:0[1-9]|[12]\d|3[01])$
            description: Date in `YYYY-MM-DD` format (ISO 8601).
          required: true
          description: Date in `YYYY-MM-DD` format (ISO 8601).
          name: endDate
          in: query
        - schema:
            type: string
            enum:
              - approved
              - pending
              - rejected
          required: false
          name: status
          in: query
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        collaboratorId:
                          type: string
                        isRemoteWork:
                          type: boolean
                        location:
                          type: string
                          description: >-
                            Work location: `remote` means remote work, any other
                            value is the office name.
                        createdAt:
                          type: string
                        startDate:
                          type: string
                        endDate:
                          type: string
                        startHalfDay:
                          type: boolean
                          description: >-
                            Indicates whether the leave starts in the
                            **afternoon** of the `startDate`.

                            - `false`: the leave covers the full day of
                            `startDate`.

                            - `true`: the leave only starts from the
                            **afternoon** of `startDate`.
                        endHalfDay:
                          type: boolean
                          description: >-
                            Indicates whether the leave ends in the **morning**
                            of the `endDate`.

                            - `false`: the leave covers the full day of
                            `endDate`.

                            - `true`: the leave only covers the **morning** of
                            `endDate`.
                        status:
                          type: string
                          enum:
                            - approved
                            - pending
                            - rejected
                      required:
                        - id
                        - collaboratorId
                        - isRemoteWork
                        - location
                        - createdAt
                        - startDate
                        - endDate
                        - startHalfDay
                        - endHalfDay
                        - status
                  total:
                    type: number
                  page:
                    type: number
                  limit:
                    type: number
                required:
                  - data
                  - total
                  - page
                  - limit
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````